Package org.eclipse.ecf.core.security

# Class PassphraseCallback

java.lang.Object
org.eclipse.ecf.core.security.PassphraseCallback

All Implemented Interfaces:
  `Serializable`, `Callback`

public class PassphraseCallback extends Object implements Callback, Serializable
Callback that handles passphrases

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PassphraseCallback(String prompt)`
Construct a `PassphraseCallback` with a prompt.
`PassphraseCallback(String prompt, String defaultPassphrase)`
Construct a `PassphraseCallback` with a prompt and default passphrase.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultPassphrase()`
Get the default passphrase.
`String`
`getPassphrase()`
Get the retrieved passphrase.
`String`
`getPrompt()`
Get the prompt.
`void`
`setPassphrase(String pw)`
Set the retrieved passphrase.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PassphraseCallback

public PassphraseCallback(String prompt)
Construct a `PassphraseCallback` with a prompt.

Parameters:
  `prompt` - the prompt used to request the passphrase.
Throws:
  `IllegalArgumentException` - if `prompt` is null.

### PassphraseCallback

public PassphraseCallback(String prompt, String defaultPassphrase)
Construct a `PassphraseCallback` with a prompt and default passphrase.

Parameters:
  `prompt` - the prompt used to request the information.

  `defaultPassphrase` - the name to be used as the default name displayed with the prompt.
Throws:
  `IllegalArgumentException` - if `prompt` is null.

## Method Details

### getPrompt

public String getPrompt()
Get the prompt.

Returns:
  the prompt.

### getDefaultPassphrase

public String getDefaultPassphrase()
Get the default passphrase.

Returns:
  the default passphrase, or `null` if this `PassphraseCallback` was not instantiated with a `defaultPassphrase`.

### setPassphrase

public void setPassphrase(String pw)
Set the retrieved passphrase.

Parameters:
  `pw` - the passphrase (which may be null).
See Also:
  - `getPassphrase()`

### getPassphrase

public String getPassphrase()
Get the retrieved passphrase.

Returns:
  the retrieved passphrase (which may be null)
See Also:
  - `setPassphrase(java.lang.String)`